403Webshell
Server IP : 68.178.247.200  /  Your IP : 216.73.216.110
Web Server : Apache
System : Linux p3plzcpnl489463.prod.phx3.secureserver.net 4.18.0-553.126.2.lve.el8.x86_64 #1 SMP Thu May 28 14:12:30 UTC 2026 x86_64
User : x9dppmxs4rgd ( 8559391)
PHP Version : 7.4.33
Disable Function : NONE
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : OFF  |  Sudo : OFF  |  Pkexec : OFF
Directory :  /./proc/self/root/opt/alt/ruby27/src/passenger-release-6.1.2/dev/ci/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /./proc/self/root/opt/alt/ruby27/src/passenger-release-6.1.2/dev/ci//fetch-cache-az-blob-storage
#!/usr/bin/env bash
set -eo pipefail

if [[ -z "$AZURE_STORAGE_CONNECTION_STRING" ]]; then
	echo "AZURE_STORAGE_CONNECTION_STRING is required"
	exit 1
fi

if [[ -z "$CONTAINER_NAME" ]]; then
	echo "CONTAINER_NAME is required"
	exit 1
fi

if [[ -z "$BLOB_NAME" ]]; then
		echo "BLOB_NAME is required"
		exit 1
fi

if [[ "$SUDO" = true ]]; then
	SUDO_COMMAND=(sudo)
else
	SUDO_COMMAND=()
fi

CACHE_PATH=${CACHE_PATH:-$BLOB_NAME}


echo "--> Checking whether blob exists"
EXISTS=$(
	az storage blob exists \
	--container-name "$CONTAINER_NAME" \
	--name "$BLOB_NAME" \
	--connection-string "$AZURE_STORAGE_CONNECTION_STRING" \
	--output tsv
)
echo "$EXISTS"

if [[ "$EXISTS" = True ]]; then
	echo "--> Downloading and extracting blob"
	mkdir -p "$CACHE_PATH"
	if az storage blob download \
		--container-name "$CONTAINER_NAME" \
		--name "$BLOB_NAME" \
		--no-progress \
		| "${SUDO_COMMAND[@]}" env ZSTD_NBTHREADS=0 tar -C "$CACHE_PATH" -x --zstd -f -; then
	    echo "Extracted"

	    echo "cache-hit=true" >> "$GITHUB_OUTPUT"
        else
            echo "azure blob is probably corrupted, deleting it..."
            az storage blob delete \
		--container-name "$CONTAINER_NAME" \
		--name "$BLOB_NAME"
            echo "cache-hit=false" >> "$GITHUB_OUTPUT"
        fi
else
	echo "cache-hit=false" >> "$GITHUB_OUTPUT"
fi

Youez - 2016 - github.com/yon3zu
LinuXploit